package com.cool.store.request;

import com.cool.store.entity.DecorationMeasureDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author ryan.xu
 * @date 2025/04/23
 */
@Data
@ApiModel("测量阶段保存入参")
public class DecorationMeasureRequest {

    @ApiModelProperty("店铺ID")
    @NotNull(message = "店铺ID不能为空")
    private Long shopId;

    @ApiModelProperty("测量员ID")
    private String measureUserId;

    @ApiModelProperty("设计组长ID")
    private String designUserId;

    @ApiModelProperty("测量日期")
    private Date measureDate;

    @ApiModelProperty("出图日期")
    private Date diagramDate;

    @ApiModelProperty("测量图URL")
    private String measureUrl;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("测量派单ID")
    private String measurementSheetId;



    /**
     * 构建DecorationMeasureDO
     *
     * @return
     */
    public DecorationMeasureDO buildDecorationMeasureDO() {
        DecorationMeasureDO decorationMeasureDO = new DecorationMeasureDO();
        decorationMeasureDO.setShopId(this.shopId);
        decorationMeasureDO.setMeasureUserId(this.measureUserId);
        decorationMeasureDO.setDesignUserId(this.designUserId);
        decorationMeasureDO.setMeasureDate(this.measureDate);
        decorationMeasureDO.setDiagramDate(this.diagramDate);
        decorationMeasureDO.setMeasureUrl(this.measureUrl);
        decorationMeasureDO.setRemark(this.remark);
        decorationMeasureDO.setMeasurementSheetId(this.measurementSheetId);
        return decorationMeasureDO;
    }

}
